Spamassassin 2010 bug??

Discussion in 'General' started by punto, Jan 2, 2010.

  1. punto

    punto New Member

    Last edited: Jan 2, 2010
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Check the header of your emails if this rule appears there on non spam emails. I dont have any problems with that on my servers.
     
  3. punto

    punto New Member

    Hi Till,

    Thanks for the reply. Yes this rule is in the headers, this from an email...

    3.4 FH_DATE_PAST_20XX The date is grossly in the future.

    And a quick test showed a known address being marked as SPAM. Which .cf file do I need to modify? I see there are two

    /home/admispconfig/ispconfig/tools/spamassassin/etc/mail/spamassassin/local.cf and

    /etc/mail/spamassassin/local.cf

    Although the first one has no expressions specified.

    Thanks
    Matt
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Run this command as root:

    /home/admispconfig/ispconfig/tools/spamassassin/usr/bin/sa-update

    Most likely the spamassassin devs have released a rule update already. If this does not help, edit the file /home/admispconfig/ispconfig/tools/spamassassin/etc/mail/spamassassin/local.cf
     
  5. punto

    punto New Member

    Worked a treat, thanks Till :)

    Matt
     
  6. Burge

    Burge New Member HowtoForge Supporter

    mhm whats wrong, is it necessary to have the last update? My stand is the pre last update for ispconfig 2.0
     
  7. falko

    falko Super Moderator ISPConfig Developer

    You need to install LWP::UserAgent. Which distribution do you use?
     
  8. Burge

    Burge New Member HowtoForge Supporter

    Hi,

    this is a debian etch
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    run:

    apt-get install libwww-perl
     
  10. Burge

    Burge New Member HowtoForge Supporter

    ok thank you, the install works fine but now comes the next problem

    see here

    PHP:
    server:~# /home/admispconfig/ispconfig/tools/spamassassin/usr/bin/sa-update
    Can't locate Archive/Tar.pm in @INC (@INC contains: /home/admispconfig/ispconfig/tools/spamassassin/usr/share/perl/5.8.8 /etc/perl /usr/local/lib/perl/5.8.8 /usr/local/share/perl/5.8.8 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl) at /home/admispconfig/ispconfig/tools/spamassassin/usr/bin/sa-update line 81.
    BEGIN failed--compilation aborted at /home/admispconfig/ispconfig/tools/spamassassin/usr/bin/sa-update line 81.
    server:~#
    is something with the install wrong so it looks like the archive is missing.
     
  11. till

    till Super Moderator Staff Member ISPConfig Developer

    The perl tar module is missing. Install it with:

    apt-get install libarchive-tar-perl
     
  12. Burge

    Burge New Member HowtoForge Supporter

    thats it, thank you again.

    I just didnt found the name for this perl packet to install

    know sa is been updatet und all run fine.
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    I did not know the package name as well and had to search for it, a good strategy to find it is for example:

    apt-cache search perl | grep tar
     
  14. Burge

    Burge New Member HowtoForge Supporter

    really great tip thank you.

    each operator as own of course i know but using this in such combination is super.
     
    Last edited: Jan 5, 2010
  15. Tilo_Wolff

    Tilo_Wolff New Member

    Thanks

    Thank you very much till. I also left the errors mentioned but it worked perfect with the packages you suggested to install.
     
  16. cambo

    cambo New Member

    I had the 2010 date issue (mandriva 2008.1) with Spamassassin.
    I tried to install this using urpmi and it said I had to update some packages and gave a list. I said yes and it did an update which screwed up my ssl and shutdown apache. I removed ssl confs (dont use at the moment) and apache runs OK now. However now when I want to run sa-update I get /usr/bin/perl5.8.8 missing error. There is now a perl5.10.0 file there instead.
    Can you tell me how to change sa-update to use this new version please.
     
  17. till

    till Super Moderator Staff Member ISPConfig Developer

    Which ISPConfig version?
     
  18. cambo

    cambo New Member

    Hi Till

    Version: 2.2.21

    Also Spamassassin has stopped working so I guess what I did updated the Perl version and that broke everything that was configured to use the older version. Should I be trying to backgrade the Perl version, or do I need to update Spamassassin or ISPConfig somehow, or will getting sa-update working just fix everything when it updates?
    Thanks
     
  19. cambo

    cambo New Member

    Bump (please help. spam is driving me crazy :mad: )
     
  20. Ovidiu

    Ovidiu Active Member

    same problem here except that updating spamassassin, running sa-update and restarting SA didn't help. The commands completed without errors but the 2010 bug still persists.

    Running ispcfg 3 (latest version as of now) on a Debian 5.04 box.

    any hints?
     

Share This Page